import ResponsiveImage from './ResponsiveImage';
import type { ResponsiveImageProps } from './ResponsiveImage';

export default {
  title: 'Shared/ResponsiveImage',
  component: ResponsiveImage,
  parameters: {
    layout: 'fullscreen'
  },
  tags: ['autodocs']
};

export const Image = {
  args: {
    src: 'https://dummyimage.com/1920x570',
    width: 1920,
    height: 570,
    sizes: '100vw'
  }
};

export const ArtDirection = {
  args: {
    src: 'https://dummyimage.com/576x540',
    width: 576,
    height: 540,
    sizes: '100vw'
  },
  render: (args: ResponsiveImageProps) => (
    <ResponsiveImage {...args}>
      <ResponsiveImage.Source
        media="xxl"
        src="https://dummyimage.com/1920x540"
        width={1920}
        height={540}
        sizes="100vw"
      />
      <ResponsiveImage.Source
        media="xl"
        src="https://dummyimage.com/1536x540"
        width={1536}
        height={540}
        sizes="100vw"
      />
      <ResponsiveImage.Source
        media="lg"
        src="https://dummyimage.com/1280x540"
        width={1280}
        height={540}
        sizes="100vw"
      />
      <ResponsiveImage.Source
        media="md"
        src="https://dummyimage.com/1024x540"
        width={1024}
        height={540}
        sizes="100vw"
      />
      <ResponsiveImage.Source
        media="sm"
        src="https://dummyimage.com/768x540"
        width={768}
        height={540}
        sizes="100vw"
      />
      <ResponsiveImage.Source
        media="(min-width: 576px)"
        src="https://dummyimage.com/640x540"
        width={640}
        height={540}
        sizes="100vw"
      />
    </ResponsiveImage>
  )
};
